# Default values for k8s-capi-provider

nameOverride: ""  # Override the default value of 'app' label used by k8s objects
namespaceOverride: ""  # Override the deployment namespace
fullnameOverride: ""  # Provide a name to substitute for the full names of resources
commonLabels: {}  # Labels to apply to all resources
# myLabel: myLabelValue

# Base controller anchor
baseCtrl: &baseCtrl
  # Set properties of used image
  image: &baseImage
    repository: registry.gitlab.com/yaook/incubator/k8s-capi-provider  # Overrides the image repository
    pullPolicy: IfNotPresent  # Overrides the image pullPolicy
    tag: latest  # Overrides the image tag
    command: []  # Overrides the image command
    args: []  # Overrides the image arguments
    # Optionally specify an array of imagePullSecrets.
    # Secrets must be manually created in the namespace.
    # ref: https://kubernetes.io/docs/tasks/configure-pod-container/pull-image-private-registry/
    pullSecrets: []  # Overrides the image pullSecrets
    securityContext:
      capabilities:
        # WireGuard + ip netns
        add: ["NET_ADMIN", "SYS_ADMIN"]

  # The pod where the operator runs must have the permissions to access and to manipulate the objects.
  # Following section defined default cluster role, cluster role binding and service account.
  rbacAuthorization:
    clusterRole:
      enabled: true
    clusterRoleBinding:
      enabled: true
    serviceAccount:
      enabled: true
      annotations: {}  # Annotations to add to the service account

  podAnnotations:  # Set annotations of pods
    container.apparmor.security.beta.kubernetes.io/k8s-capi-provider: unconfined
  podSecurityContext: {}  # Set security context of pods
  resources: {}  # Set resources of pod
  nodeSelector: {}  # Set node selectors of pod
  tolerations: []  # Set tolerations of pod
  affinity: {}  # Set affinity of pod

# Cluster controller
clusterCtrl:
  <<: *baseCtrl
  image:
    <<: *baseImage
    args: [ "run", "--all-namespaces", "--standalone", "-m", "src.controllers.cluster.run" ] # Cluster controller args

# Service controller
serviceCtrl:
  <<: *baseCtrl
  image:
    <<: *baseImage
    args: [ "run", "--all-namespaces", "--standalone", "-m", "src.controllers.service.run" ] # Service controller args
